COROSYNC-NOTIFYD(8)

NAME
corosync-notifyd - Listen for important corosync events and send dbus and/or snmp traps.

SYNOPSIS
corosync-notifyd [-f] [-l] [-o] [-s] [-m manager] [-d] [-h]

DESCRIPTION
corosync-notifyd uses corosync API to listen for important cluster events and can log them, generate dbus signals or generate snmp traps.

OPTIONS

-f  Start application in foreground.

-l  Log all events.

-o  Print events to stdout (turns on -l).

-s  Send SNMP traps on all events.

-m  Set the SNMP Manager IP address (defaults to localhost).

-n  No reverse DNS lookup on cmap member change events.

-d  Send DBUS signals on all events.

-h  Print this help.

EXAMPLES
$ corosync-notifyd -o
corosync-notifyd[18505]: troll[23374016] corosync-notify:18505:12 is now connected to corosync
corosync-notifyd[18505]: troll[23374016] corosync-notify:18505:13 is now disconnected from corosync
corosync-notifyd[18505]: troll[23374016] is now quorate
corosync-notifyd[18505]: r2[1550100672] ip:192.168.100.92 joined
corosync-notifyd[18505]: r2[1550100672] ip:192.168.100.92 left

$ corosync-notifyd -d

Note this output below is from "dbus-monitor --system"

signal sender=:1.216 -> dest=(null destination) serial=2 path=/com/redhat/cluster/corosync;
 interface=com.redhat.cluster.corosync; member=ConnectionStateChange
   string "troll"
   uint32 23374016
   string "corosync-notify:18900:12"
   string "connected"
signal sender=:1.216 -> dest=(null destination) serial=3 path=/com/redhat/cluster/corosync;
 interface=com.redhat.cluster.corosync; member=ConnectionStateChange
   string "troll"
   uint32 23374016
   string "corosync-notify:18900:13"
   string "disconnected"
signal sender=:1.216 -> dest=(null destination) serial=4 path=/com/redhat/cluster/corosync;
 interface=com.redhat.cluster.corosync; member=QorumStateChange
   string "troll"
   uint32 23374016
   string "quorate"
signal sender=:1.216 -> dest=(null destination) serial=5 path=/com/redhat/cluster/corosync;
 interface=com.redhat.cluster.corosync; member=NodeStateChange
   string "r2"
   uint32 1550100672
   string "192.168.100.92"
   string "joined"
signal sender=:1.216 -> dest=(null destination) serial=6 path=/com/redhat/cluster/corosync;
 interface=com.redhat.cluster.corosync; member=NodeStateChange
   string "r2"
   uint32 1550100672
   string "192.168.100.92"
   string "left"

SEE ALSO
corosync(8), corosync-cmapctl(8), dbus-monitor(1),

AUTHOR
Angus Salkeld